be.fgov.ehealth.mycarenet.commons.core.v3

## Class SelfRefType

- java.lang.Object
- - be.fgov.ehealth.mycarenet.commons.core.v3.SelfRefType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AbstractIdType, NihiiType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:57:38+02:00",
                 comments="JAXB RI v2.3.7")
      public abstract class SelfRefType
      extends Object
      implements Serializable

  Elements of this base type do not require any content, instead it is also possible to refer to another element with the same type and same name. The referencee should specify and id, and the referencer should specify a ref-attribute.

  Java class for SelfRefType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SelfRefType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="Ref" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelfRefType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Gets the value of the id property.
    `String` | `getRef()` Gets the value of the ref property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setRef(String value)` Sets the value of the ref property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelfRefType

          public SelfRefType()

  - ### Method Detail

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRef

          public String getRef()

      Gets the value of the ref property.
      Returns:
        possible object is `String`

    - #### setRef

          public void setRef(String value)

      Sets the value of the ref property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.